#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.3.1
visibility:           public
id:                   jose-0.8.3.1-6xntbHdzDVVHhpOth6PrjN
key:                  jose-0.8.3.1-6xntbHdzDVVHhpOth6PrjN
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  7df6f889a7b9c1de6da9b2c33a9bb0ea
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.10.2/site-local/jose-0.8.3.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/jose-0.8.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/jose-0.8.3.1
hs-libraries:         HSjose-0.8.3.1-6xntbHdzDVVHhpOth6PrjN
depends:
    QuickCheck-2.14.1-Lg1gtu6pVCVBIV2LpbtpqK
    aeson-1.5.3.0-7LRiUD59ANgFRx35cjVtOH
    attoparsec-0.13.2.4-DSLvtm8SSTI9nz5YFEAxuW base-4.14.1.0
    base64-bytestring-1.2.0.0-IswRirYhDIJExsVyXDaqvp
    bytestring-0.10.10.0 concise-0.1.0.1-ubSkRP2FT0CHmyCqiJ2cp
    containers-0.6.2.1 cryptonite-0.27-GQDFsV0e2GLJaPfeS4zGY1
    lens-4.19.2-AWp9PNR8o2cGmaJKWU0W56
    memory-0.15.0-359cYXe7lRF64CAN0G53fp
    monad-time-0.3.1.0-3d4yAlPjz8P33AmXrmtMWL mtl-2.2.2
    network-uri-2.6.3.0-10893Qsf8nYIGtzWFmBoVz
    quickcheck-instances-0.3.24-8lsK8F9FSLb5M3uqvVDKcJ
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b template-haskell-2.16.0.0
    text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.12.0-JMHeBencosjFi5kYThmmhW
    vector-0.12.1.2-Ey11gGB2S4fIXSHQgTBQEm
    x509-1.7.5-HdM7oiQ69s29QLIiiRv8We

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

